# drop the "pelis" table if it exists, then recreate it

DROP TABLE IF EXISTS pelis;

CREATE TABLE pelis
(
     # /********************\
     #|*    Datos Bsicos   *|
     # \********************/
  	 id			SMALLINT UNSIGNED NOT NULL AUTO_INCREMENT,
	 owner			SMALLINT,
	 Genero			ENUM( 	"SIN CLASIFICAR",
				      	"Accin",
					"Animacin",
					"Aventuras",
					"Blica",
					"Biografa",
					"Catstrofe",
					"C.Ficcin",
					"Fantstico",
					"Cine Negro",
					"Comedia",
					"Dib.Animado",
					"Documental",
					"Drama",
					"Histrica",
					"Intriga",
					"Musical",
					"Melodrama",
					"Oeste",
					"Terror",
					"Picantes"
				  ) DEFAULT "SIN CLASIFICAR",
	 Status			ENUM(   "OK",
					"Para Alquilar",
					"Ripeando",
					"Por llegar"
				  ),
   	 Titulo   		VARCHAR(30)	NOT NULL,
	 FechaRip		DATE,
	 Duracion		TIME,
	 NumCDs			SMALLINT DEFAULT '1',
	 Comentarios		TEXT,
	 Imagen   		BLOB,
	 filetype		VARCHAR(50),
	 imgH			SMALLINT,
	 imgW			SMALLINT,

     # /************************\
     #|*   CLAVES PK, SK       *|
     # \************************/

	PRIMARY KEY 		(id),
);

# Cargamos otros datos suministrados por defecto...
# LOAD DATA LOCAL INFILE "pelis.txt" INTO TABLE personas;

