# drop the "pelis_user" table if it exists, then recreate it

DROP TABLE IF EXISTS pelis_user;

CREATE TABLE pelis_user
(
     # /********************\
     #|*    Datos Bsicos   *|
     # \********************/
  	 user		SMALLINT UNSIGNED NOT NULL REFERENCES users,
	 peli		SMALLINT UNSIGNED NOT NULL REFERENCES pelis,
	 status		ENUM( "OK", "PEDIR" ) DEFAULT "OK"

	PRIMARY KEY 		(user, peli)

);

# Cargamos otros datos suministrados por defecto...
# LOAD DATA LOCAL INFILE "pelis_user.txt" INTO TABLE personas;

